# List processing attempts

`GET https://api.cademi.com.br/api/v3/automations/diamond/{diamond_id}/memberships/{membership_id}/processing-attempts`

Operation ID: `diamonds.memberships.processing_attempts.list` · API v3

Returns the processing attempts requested for the membership. All attempts are returned in a single response, without pagination.

Required permissions: `diamonds.read`.

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `diamond_id` | path | string | yes |  |
| `membership_id` | path | string | yes |  |

## Responses

### 200

Returns the processing attempts of the membership.

Body: `data`: array of ProcessingAttempt.

Fields of ProcessingAttempt:

| Field | Type | Required | Description |
|---|---|---|---|
| `created_at` | string (date-time) | yes |  |
| `effects` | object | no | Effects of the attempt on the lead. Present in Diamond membership attempts. |
| `error` | object or null | yes |  |
| `event_id` | string | no | Public ID of the sales event, with the sev_ prefix. Present in sales event attempts. |
| `id` | string | yes | Public ID, with the pat_ prefix. |
| `import_id` | string | no | Public ID of the import, with the imp_ prefix. Present in import attempts. |
| `membership_id` | string | no | Public ID of the lead's Diamond membership, with the mbr_ prefix. Present in Diamond membership attempts. |
| `object` | string, one of `processing_attempt` | yes |  |
| `operation_id` | string | yes | Public ID of the operation, with the op_ prefix. |
| `requested_by` | object | yes |  |
| `selection` | object | no | Spreadsheet rows selected by the attempt. Present in import attempts. |
| `status` | string, one of `queued`, `succeeded`, `failed` | yes |  |

### 401

The credential is missing, malformed, expired, or revoked.

Body: Error.

### 403

The current credentials do not have the permission required by this operation.

Body: Error.

### 404

The membership was not found in this Diamond or is not accessible with the current credentials.

Body: Error.

### 409

Diamond automations are not enabled for the current account.

Body: Error.

Full schema: https://cademi.dev/openapi/v3.json
